[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Bug-gsl] gsl with cblas patch

From: Brian Gough
Subject: Re: [Bug-gsl] gsl with cblas patch
Date: Sat, 24 Jan 2009 09:20:43 +0000
User-agent: Wanderlust/2.14.0 (Africa) Emacs/22.2 Mule/5.0 (SAKAKI)

At Wed, 21 Jan 2009 19:46:03 +0000,
Sébastien Fabbro wrote:
> I originally did the patch because a lot of Gentoo users have
> LDFLAGS="-Wl,as-needed". Really the gain when linking gsl with as-needed
> is not as much as for other packages, apart from reducing the final
> shared lib of 3Mb.
> There may be a better way to make sure that gsl links with as-needed
> than the proposed patch. Also switching dynamically the cblas
> library at run time is not allowed because of the cblas library soname
> added at link time (added by @CBLAS_LINK_LIBS@ in libgsl_la_LIBADD).

I think the ideal solution to this would be if --as-needed could
resolve symbols from regular objects recursively rather than going
only 1-level deep.

Brian Gough

reply via email to

[Prev in Thread] Current Thread [Next in Thread]